Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 480519 - gcl doesn't build on ppc64
Summary: gcl doesn't build on ppc64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcl
Version: 19
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64
TreeView+ depends on / blocked
 
Reported: 2009-01-18 05:02 UTC by Jerry James
Modified: 2014-09-23 05:00 UTC (History)
3 users (show)

Fixed In Version: gcl-2.6.11-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 05:00:30 UTC


Attachments (Terms of Use)

Description Jerry James 2009-01-18 05:02:24 UTC
Description of problem:
GCL builds on i386, x86_64, and ppc, but fails to build on ppc64.  I have found a way to make the build go a little farther before segfaulting, but that change causes the build to segfault on the other 3 arches.  Since it doesn't complete anyway, this indicates some deeper problem on ppc64.  This may be related to a long-standing problem GCL has with building with BFD support on various arches, including ppc64.  I'll experiment with ways of solving the problem and update this bug report as I discover ways of advancing the build.

Version-Release number of selected component (if applicable):
gcl-2.6.8-0.1.20080902cvs.fc11.ppc64

How reproducible:
Always

Steps to Reproduce:
1. Try to build
  
Actual results:
A segfault during the build

Expected results:
A successful build

Additional info:

Comment 1 Bug Zapper 2009-06-09 10:46:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-04-27 12:45:24 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-07-30 10:35:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Karsten Hopp 2012-05-31 12:54:43 UTC
issue still exists in gcl-2.6.8-0.10.20120323cvs.fc17

Comment 5 Jerry James 2012-05-31 14:46:27 UTC
Upstream has commented a few times on the gcl mailing list about the lack of ppc64 support, so the issue is known.  However, upstream is down to one developer with little time to develop, so I don't see much hope of this issue ever being resolved.

Comment 6 Fedora End Of Life 2013-04-03 20:09:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 7 Fedora Update System 2014-09-09 22:01:15 UTC
gcl-2.6.11-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gcl-2.6.11-1.fc21

Comment 8 Fedora Update System 2014-09-10 02:13:25 UTC
Package gcl-2.6.11-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gcl-2.6.11-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10502/gcl-2.6.11-1.fc21
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-09-23 05:00:30 UTC
gcl-2.6.11-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.